a = 0;
b = 1;
print( "%d = %d\n", true, true || false && true );
print( "%d = %d\n", true, false && true || true );
print( "%d = %d\n", true, ( false || true ) && true );
print( "%d = %d\n", false, false || ( true && false ) );
print( "%d = %d\n", true, ( false && true ) || true );
print( "%d = %d\n", false, false && ( true || true ) );
print( "%d = %d\n", false, ! a < b );
print( "%d = %d\n", true, ! b < a );
print( "%d = %d\n", false, ! ( a < b ) );
print( "%d = %d\n", false, ( ! a ) < b  );
